/* include/openh323buildopts.h.  Generated by configure.  */
/*
 * openh323buildopts.h
 *
 * Build options generated by the configure script.
 *
 * Portable Windows Library
 *
 * Copyright (c) 2003 Equivalence Pty. Ltd.
 *
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.0 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific language governing rights and limitations
 * under the License.
 *
 * The Original Code is Portable Windows Library.
 *
 * The Initial Developer of the Original Code is Equivalence Pty. Ltd.
 *
 * Contributor(s): ______________________________________.
 *
 * $Log: openh323buildopts.h.in,v $
 * Revision 1.7  2003/07/24 08:09:59  dereksmithies
 * Update to reflect new vic h263 codec, which is optionally loaded.
 *
 * Revision 1.6  2003/05/05 11:59:21  robertj
 * Changed to use autoconf style selection of options and subsystems.
 *
 * Revision 1.5  2003/05/02 07:59:34  robertj
 * Fixed AVCODEC directory missing slash
 *
 * Revision 1.4  2003/05/02 07:35:32  robertj
 * Fixed ffmpeg AVCODEC include file
 *
 * Revision 1.3  2003/05/02 07:27:23  robertj
 * Fixed voice age library
 *
 * Revision 1.2  2003/05/02 07:08:12  craigs
 * Removed DOS end fo line chars
 *
 * Revision 1.1  2003/05/02 07:04:11  craigs
 * Initial version
 *
 */

#ifndef _OPENH323_BUILDOPTS_H
#define _OPENH323_BUILDOPTS_H


/////////////////////////////////////////////////
//
// VoiceAge G.729 Support
//

/* #undef VOICE_AGE_G729A */

#if defined(_MSC_VER)

#if VOICE_AGE_G729A
#pragma include_alias("va_g729a.h", "@VOICE_AGE_DIR@/va_g729a.h")
#endif

#define VOICE_AGE_G729_LIBRARY "@VOICE_AGE_DIR@/va_g729a.lib"

#endif


/////////////////////////////////////////////////
//
// ffmpeg H.263 Support
//

/* #undef H323_AVCODEC */

#if defined(_MSC_VER)

#if H323_AVCODEC
#pragma include_alias(<avcodec.h>, <@H323_AVCODEC_DIR@/avcodec.h>)
#endif

#define H323_AVCODEC_DIR     "@H323_AVCODEC_DIR@/"

#endif

/////////////////////////////////////////////////
//
// Vic H.263 Support
//

/* #undef H323_VICH263 */

#if defined(_MSC_VER)

#if H323_VICH263
#pragma include_alias(<encoder-h263.h>, <@H323_VICH263_DIR@/encoder-h263.h>)
#pragma include_alias(<decoder-h263.h>, <@H323_VICH263_DIR@/decoder-h263.h>)
#endif

#define H323_VICH263_DIR     "@H323_VICH263_DIR@/"

#ifdef _DEBUG
#define H323_VICH263_LIB_DIR H323_VICH263_DIR"Debug/"
#else
#define H323_VICH263_LIB_DIR H323_VICH263_DIR"Release/"
#endif

#define H323_VICH263_LIBRARY H323_VICH263_LIB_DIR"libvich263.lib"

#endif


#endif // _OPENH323_BUILDOPTS_H


// End Of File ///////////////////////////////////////////////////////////////
